Searches for customers matching either first name, last name, card number, email or date of birth by separate fields
GET/rest/appointment/customers
Searches for customers matching either first name, last name, card number, email or date of birth by separate fields. It is optional to search for all four fields. Note that if no parameters are specified in the PathSegment, an empty result list will be returned.
For exactly matching searches, please use the AppointmentService#identifyCustomers(javax.ws.rs.core.UriInfo) method.
When searching for customers with a given date of birth the allowed formats are "2022-11-24" or "20221124"
Example of usage :
curl -i -u user:password -X GET "http://orchestra-ip:orchestra-port/rest/appointment/customers;firstName=Carl;lastName=Carlson;cardNumber=1234;email=someone@somewhere.com;dateOfBirth=2022-11-24"
Responses
- 200
A Json list of Customer. Empty list if no customers found.